# FeedItem Class Reference
[Feed's parsers]

Inheritance diagram for FeedItem:
[legend]

List of all members.

## Public Member Functions

| __construct ($title)
| getId ()
| setId ($id)
| getTitle ()
| setTitle ($title)
| getContent ()
| setContent ($content)
| getSummary ()
| setSummary ($summary)
| getPublished ()
| setPublished (Timestamp $published)
| getLink ()
| setLink ($link)
| getCategory ()
| setCategory ($category)

## Static Public Member Functions

static | create ($title)

## Private Attributes

| $id = null
| $title = null
| $content = null
| $summary = null
| $published = null
| $link = null
| $category = null

## Detailed Description

Definition at line 15 of file FeedItem.class.php.

## Constructor & Destructor Documentation

FeedItem::__construct | ( | $ | title | ) |

Definition at line 33 of file FeedItem.class.php.

References $title.

## Member Function Documentation

static FeedItem::create | ( | $ | title | ) | `[static]`

Returns:
  FeedItem

Reimplemented in YandexRssFeedItem.

Definition at line 28 of file FeedItem.class.php.

References $title.

Referenced by RssItemWorker::makeItems(), and AtomItemWorker::makeItems().

FeedItem::getCategory | ( |  | ) |

Definition at line 131 of file FeedItem.class.php.

Referenced by YandexRssItemWorker::toXml(), and RssItemWorker::toXml().

FeedItem::getContent | ( |  | ) |

Definition at line 68 of file FeedItem.class.php.

FeedItem::getId | ( |  | ) |

Definition at line 38 of file FeedItem.class.php.

Referenced by YandexRssItemWorker::toXml(), and RssItemWorker::toXml().

FeedItem::getLink | ( |  | ) |

Definition at line 116 of file FeedItem.class.php.

Referenced by YandexRssItemWorker::toXml(), and RssItemWorker::toXml().

FeedItem::getPublished | ( |  | ) |

Returns:
  Timestamp

Definition at line 101 of file FeedItem.class.php.

Referenced by YandexRssItemWorker::toXml(), and RssItemWorker::toXml().

FeedItem::getSummary | ( |  | ) |

Definition at line 83 of file FeedItem.class.php.

Referenced by YandexRssItemWorker::toXml(), and RssItemWorker::toXml().

FeedItem::getTitle | ( |  | ) |

Definition at line 53 of file FeedItem.class.php.

Referenced by YandexRssItemWorker::toXml(), and RssItemWorker::toXml().

FeedItem::setCategory | ( | $ | category | ) |

Returns:
  FeedItem

Definition at line 139 of file FeedItem.class.php.

References $category.

FeedItem::setContent | ( | $ | content | ) |

Returns:
  FeedItem

Definition at line 76 of file FeedItem.class.php.

References $content.

FeedItem::setId | ( | $ | id | ) |

Returns:
  FeedItem

Definition at line 46 of file FeedItem.class.php.

References $id.

FeedItem::setLink | ( | $ | link | ) |

Returns:
  FeedItem

Definition at line 124 of file FeedItem.class.php.

References $link.

FeedItem::setPublished | ( | Timestamp $ | published | ) |

Returns:
  FeedItem

Definition at line 109 of file FeedItem.class.php.

FeedItem::setSummary | ( | $ | summary | ) |

Returns:
  FeedItem

Definition at line 91 of file FeedItem.class.php.

References $summary.

FeedItem::setTitle | ( | $ | title | ) |

Returns:
  FeedItem

Definition at line 61 of file FeedItem.class.php.

References $title.

## Member Data Documentation

FeedItem::$category = null`[private]`

Definition at line 23 of file FeedItem.class.php.

Referenced by setCategory().

FeedItem::$content = null`[private]`

Definition at line 19 of file FeedItem.class.php.

Referenced by setContent().

FeedItem::$id = null`[private]`

Definition at line 17 of file FeedItem.class.php.

Referenced by setId().

FeedItem::$link = null`[private]`

Definition at line 22 of file FeedItem.class.php.

Referenced by setLink().

FeedItem::$published = null`[private]`

Definition at line 21 of file FeedItem.class.php.

FeedItem::$summary = null`[private]`

Definition at line 20 of file FeedItem.class.php.

Referenced by setSummary().

FeedItem::$title = null`[private]`

Definition at line 18 of file FeedItem.class.php.

Referenced by __construct(), YandexRssFeedItem::create(), create(), and setTitle().

The documentation for this class was generated from the following file:

- main/Markup/Feed/FeedItem.class.php